Array.prototype.shuffle = function() {
  var i = this.length, j, tempi, tempj;
  if ( i == 0 ) return false;
  while ( --i ) {
     j       = Math.floor( Math.random() * ( i + 1 ) );
     tempi   = this[i];
     tempj   = this[j];
     this[i] = tempj;
     this[j] = tempi;
  }
  return this;
}


var isMobile = ( /iPad/i.test(navigator.userAgent) ) || ( /Mobile/i.test(navigator.userAgent) );
	
$(document).ready(function(){
	if($('#grid .cell').length) initIso();
	
	$('.home #nav-strip #nav-sub').delay(2000).slideDown(500,function(){
		$('.home #nav-strip').addClass('show-logo');
	});
	
	if(isMobile) $('body').addClass('mobile');
	
	if($('#slideshow .images').length>0){
		initSlideshow();
		$(window).resize(onWindowResize);
		onWindowResize();
		initButtons();
		
		$('#slideshow .images .img-holder img').each(function(i){
			$(this).imagesLoaded(function( $images, $proper, $broken){
				$images.fadeIn();
				if(i==0) playSlideshow(false);
			});
		});
	}
	else if($('body').hasClass('other-pages')){
	}
	
	if($('.show-on-load').length>0){
		$(window).load(function(){
			$('.show-on-load').removeClass('hidden');
		});
	}

	function onWindowResize(){
		var windowRatio = ($(window).width()-(217+50))/($(window).height()-(25+20));
		var ratio = 5/3;

		if(windowRatio>ratio){
			$('body').addClass('too-landscape');
			$('#slideshow .images').width(5/3*$(window).height()-(25+20));
			$('#controls').css('margin-top',-16);
		}
		else{
			$('body').removeClass('too-landscape');
			$('#slideshow .images').width('100%');
			$('#controls').css('margin-top',parseInt($('#slideshow .images').width())*3/5);
		}
	}
	
	function initSlideshow(){
		slideshow = $('#slideshow .images').cycle({
			fastOnEvent:400,
			slideResize:0,
			speed:1000,
			timeout:2500,
			before: onSlideshowChange,
			autostopCount:0,
			containerResize:0,
			fx:'fade'
		});
		pauseSlideshow();
		
		if(isMobile){
			slideshow.touchwipe({
				wipeLeft: function() {
					nextImage();
					closeBoth();
				},
				wipeRight: function() {
					prevImage();
					closeBoth();
				}
			});
		}
	}

	function initButtons(){
		$('#next-button, #slideshow .images').click(function(){
			nextImage();
		});
		$('#prev-button').click(function(){
			prevImage();
		});
		$('#pause-button').click(function(){
			pauseSlideshow();
		});
		$('#play-button').click(function(){
			playSlideshow();
		});
		$('#dots a').click(function(){
			onDotClick($(this));
		})
	}
	
	function onDotClick(dot){
		slideshow.cycle(dot.index());
		pauseSlideshow();
	}

	function nextImage(){
		slideshow.cycle('next');
		pauseSlideshow();
	}
	
	function prevImage(){
		slideshow.cycle('prev');
		pauseSlideshow();
	}
	
	function pauseSlideshow(){
		$('#pause-button').addClass('hidden');
		$('#play-button').removeClass('hidden');
		slideshow.cycle('pause');
	}
	
	function playSlideshow(immediateNext){
		$('#play-button').addClass('hidden');
		$('#pause-button').removeClass('hidden');
		if(immediateNext) slideshow.cycle('next');
		slideshow.cycle('resume');
	}
	
	function onSlideshowChange(prevImage,nextImage){
		$('#dots a').removeClass('current-dot').eq($(nextImage).index()).addClass('current-dot');
	}
	
	
	////////////////Dyad Credit////////////////
	$('#credit').hover(function(){
		$(this).stop().animate({ 'width': '157px', backgroundPosition: '(0 0)' }, 200);
	},function(){
		$(this).stop().animate({ 'width': '12px', backgroundPosition: '(-155px 0)' }, 200); 
	});

});

function initIso(){
	if(isMobile){
		$('#grid').height(500);
	}
	var cells = $('#grid .cell');
	var $main = $('#grid');
	
	var breakPoints = [];
	var minColumn = 200;
	var numBreakPoints = 10;
	i=0;
	while(i<numBreakPoints){
		breakPoints.push(minColumn);
		minColumn += 300+(++i*10);
	}
	
	function onIndexLoaded(){
		$main.isotope({
			itemSelector:'.cell', 
			resizable: false, 
			animationEngine:'no-animation',
		});
		onGridResize();
		
		var randArray = getRandomArray();
		$('.basegrid .cell .innercell').each(function(i){
			$(this).delay(randArray[i]*50).fadeIn(500);
			$(this).fadeIn(500);
		});
	}
	$(window).load(onIndexLoaded);

	function onGridResize(){
		var colWidth = Math.floor($main.width()/_.sortedIndex(breakPoints, $main.width()));
		$main.isotope({masonry:{columnWidth:colWidth}});
		$('.cell').css('width', colWidth);
		$('.cell').css('height', colWidth);
		$main.isotope('reLayout');
	}	
	$(window).smartresize(onGridResize);
	
	fadeCellsIn();
}
	
function fadeCellsIn(){
	var randArray = getRandomArray();
	$('.overlay .cell .innercell').each(function(i){
		$(this).delay(randArray[i]*100).fadeIn(2000);
		if(i==$('.overlay .cell .innercell').length-1){
			setTimeout("fadeCellsOut();",i*100+2000);
		}
	});
}

function fadeCellsOut(){
	var randArray = getRandomArray();
	$('.overlay .cell .innercell').each(function(i){
		$(this).delay(randArray[i]*100).fadeOut(2000);
		if(i==$('.overlay .cell .innercell').length-1){
			setTimeout("fadeCellsIn();",i*100+2000);
		}
	});
}

function getRandomArray(){
	var l = $('.overlay .cell .innercell').length;
	var randArray = new Array();
	while(l--){
		randArray.push(l);
	}
	randArray.shuffle();
	return randArray;
}