var theIndicator;
var rootPanel;
Ext.setup({
	viewport: {
		preventZooming: false,
		autoMaximize: !Ext.browser.is.Standalone && Ext.os.is.iOS
	},
	
    onReady: function() {
		rootPanel = Ext.create('Ext.Carousel', {
			id:"root",
			indicator:true,
			fullscreen: true,
			direction:'horizontal',
			directionLock: true,
			listeners:{
				activeitemchange:function(){
					this.add(theIndicator);
				}
			},
			defaults:{
				listeners:{
					activate:function(){
						var curPage = this;
						if(this.scrollableBehavior){
							this.scrollableBehavior.scrollView._scroller.on('scroll',function(container, xOffset, yOffset){
								if(yOffset>0) curPage.titleCard.add(theIndicator);
								else if(yOffset==0) rootPanel.add(theIndicator);
							});
							this.scrollableBehavior.scrollView._scroller.on('scrollstart',removeInstructions);
						}
					}
				}
			},
			items:[
				Ext.create('Dyad.RevealPage',{direction:'vertical', id:'homepage', mainPage:Ext.create('LAI.HomePage',{images:homePageImages}), hiddenHtml:'<div id="top-reveal">'+inquireHtml+'</div><div id="bottom-reveal">'+inquireHtml+'</div>'}),
				Ext.create('LAI.Gallery', {images:homesImages, id:'homes'}),
				Ext.create('LAI.Gallery', {images:officesImages, id:'offices'}),
				Ext.create('LAI.Gallery', {images:spacesImages, id:'spaces'}),
				Ext.create('LAI.TextPage', {htmlText:aboutHtml, id:'about'}),
				Ext.create('LAI.TextPage', {htmlText:inquireHtml, id:'inquire'})
			]
		});
		
		rootPanel.setBufferSize(1);
		theIndicator = rootPanel.getIndicator();
	}
});

function removeInstructions(a,b,c,d,e){
	a.un('scrollstart',removeInstructions);
	if($('.instruct').eq(0).css('display')=="block"){
		$('.instruct').fadeOut(1000,function(){
			$('body').addClass('hide-instruct');
		});
	}
}

Ext.define('LAI.TextPage',{
	extend: 'Dyad.ScrollPage',
	constructor:function(config){
		this.callParent(arguments);
		this.titleCard = Ext.create('LAI.TitleCard',{title:config.id});
		this.add(this.titleCard);
		this.add(Ext.create('Ext.Container', {html:config.htmlText}));
	}
});

Ext.define('LAI.Gallery',{
	extend: 'Dyad.ScrollPage',
	config:{
		cls:'gallery',
		listeners:{
			activate:function(){
				if(this.loaded) return;
				this.loaded = true;
				for (var i=4; i<this.images.length; i++){
					this.add({html:'<img src="'+this.images[i].src+'"/>'});
				};
			}
		}
	},
	constructor:function(config){
		this.callParent(arguments);
		this.images = config.images;
		this.loaded = false;
		this.titleCard = Ext.create('LAI.TitleCard',{title:config.id});
		this.add(this.titleCard);
		for (var i=0; i<4; i++){
			this.add({html:'<img src="'+this.images[i].src+'"/>'});
		};
	}
});

Ext.define('LAI.TitleCard',{
	extend: 'Ext.Container',
	config:{
		cls:'title-card-bg'
	},
	constructor:function(config){
		this.callParent(arguments);
		this.setHtml('<div style="top:'+(Ext.Viewport.getWindowHeight()*.5-3)+'px" class="title-holder"><h1>'+config.title+'</h1></div><div class="instruct">Down to View</div>');
		this.setStyle('height:'+Ext.Viewport.getWindowHeight());
	}
});

Ext.define('LAI.HomePage',{
	extend: 'Ext.Container',
	config:{
		cls:'homepage',
		listeners:{
			activate:function(){
				if(this.fadedIn || $('.image-quilt img').length==0) return;
				this.fadedIn = true;
				$('.image-quilt img').imagesLoaded(function( $images, $proper, $broken ){
					$images.fadeIn();
				});
			}
		}
	},
	constructor:function(config){
		this.callParent(arguments);
		var imgString = "";
		for (var i = 0; i<config.images.length; i++){
			imgString += '<img src="'+config.images[i].src+'"/>';
		};
		var wHeight = Ext.Viewport.getWindowHeight();
		var wWidth = Ext.Viewport.getWindowWidth();
		var l = wWidth/2.0;
		var nv = Math.ceil(wHeight/l);
		this.setHtml('<div style="position:absolute; top:'+((wHeight-(nv*l))/2)+'px" class="image-quilt">'+imgString+'</div><div style="top:'+(Ext.Viewport.getWindowHeight()*.5-3)+'px" class="title-holder"><h1>Laura Adams <span>Interiors</span></h1></div>');
		this.fadedIn = false;
	}
});
